E-MailRelay

Public Member Functions | List of all members
GSmtp::ClientProtocol::Sender Class Referenceabstract

An interface used by ClientProtocol to send protocol messages. More...

`#include <gsmtpclientprotocol.h>`

Inheritance diagram for GSmtp::ClientProtocol::Sender:
[legend]

## Public Member Functions
virtual bool | protocolSend (std::string_view, std::size_t offset, bool go_secure)=0
| Called by the Protocol class to send network data to the peer. More...
virtual | ~Sender ()=default
| Destructor.

## Detailed Description

An interface used by ClientProtocol to send protocol messages.

Definition at line 57 of file gsmtpclientprotocol.h.

## Member Function Documentation

## ◆ protocolSend()

virtual bool GSmtp::ClientProtocol::Sender::protocolSend | ( | std::string_view | ,
|  | std::size_t | offset,
|  | bool | go_secure
| ) |  |
| pure virtual

Called by the Protocol class to send network data to the peer.

The offset gives the location of the payload within the string-view.

Returns false if not all of the string was sent due to flow control. In this case ClientProtocol::sendComplete() should be called as soon as the full string has been sent.

Throws on error, eg. if disconnected.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpclientprotocol.h